# Update Task Comment

Update an existing task comment

Endpoint: PUT /rmg/api/orchestration/execution/task/comment/{commentId}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `commentId` (string, required)
    ID of the comment to update

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Request fields (application/json):

  - `comment` (string, required)
    The updated comment text

## Response 200 fields (application/json):

  - `commentId` (string, required)
    UUID of the updated comment

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


